升级后显卡配置错误,请帮忙!

为当前最终发行版之前的所有版本提供支持
回复
milton-ubuntu
帖子: 5
注册时间: 2007-01-27 17:25
送出感谢: 0
接收感谢: 0

升级后显卡配置错误,请帮忙!

#1

帖子 milton-ubuntu » 2007-01-31 12:53

升级后进入不了GDM,
提示错误:
(==) Using config file:"/etc/X11/xorg.conf"
(WW)NVIDIA: No matching Device section for instance (BusID pci:0:10:3) found
Error:API mismatch:the NVIDIA kernel module has the version 1.0-7184, but this X module has the version 1.0-9631. Please make sure that the kernel module and all NVIDIA driver components have the same version.
(EE)NVIDIA(0): Failed to initialize the NVIDIA kernel module! Please ensure
(EE)NVIDIA(0): that there is a supported NVIDIA GPU in this system, and
(EE)NVIDIA(0): that the NVIDIA device files have been created properly.
(EE)NVIDIA(0): Please consult the NVIDIA README for detials.
(EE)NVIDIA(0): ***Aborting***
(EE)Screen(s) found, but none have a usable configuration.
Fatal server error:
no screens found
XIO: fatal IO error 104 (Connection reset by peer) on X server ":93.0" after 0 requests (0 known processed) with 0 events remaining.
Linux Newer
COMPAQ V3159 AU
AMD TL-50, 512 MB, NVIDIA C51M
XP+UBUNTU+OPENSUSE
头像
juanzhewudi
帖子: 1114
注册时间: 2006-01-19 11:55
来自: HUST
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 juanzhewudi » 2007-01-31 21:56

sudo dpkg-reconfigure xserver-xorg
milton-ubuntu
帖子: 5
注册时间: 2007-01-27 17:25
送出感谢: 0
接收感谢: 0

#3

帖子 milton-ubuntu » 2007-02-02 11:24

重新配置了xserver-xorg,但仍然出现上面那个Error:API mismatch:the NVIDIA kernel module has the version 1.0-7184, but this X module has the version 1.0-9631. Please make sure that the kernel module and all NVIDIA driver components have the same version.

正在网上收集nvidia 6150的配置方案。
对我这个新手来说真有些费尽。

OpenSuse显卡一样没有安装驱动,虽然也已识别,但不能3D加速。
Linux Newer
COMPAQ V3159 AU
AMD TL-50, 512 MB, NVIDIA C51M
XP+UBUNTU+OPENSUSE
头像
fallleaf
帖子: 694
注册时间: 2006-12-29 20:13
送出感谢: 0
接收感谢: 0

#4

帖子 fallleaf » 2007-04-02 18:04

我也是一样,出现x module和nvidia mudule不匹配的问题。
在学习linux的道路上自在而行。
chenzhouc
帖子: 131
注册时间: 2006-08-28 16:52
来自: 上海外国语大学
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 chenzhouc » 2007-04-05 13:16

sudo apt-get --purge remove nvidia-glx

sudo apt-get install linux-headers-$(uname -r) build-essential

sudo gedit /etc/default/linux-restricted-modules-common
在最后的双引号里面添加nv两个字,添加后就是“nv”

sudo apt-get --purge remove nvidia-settings nvidia-kernel-common
sudo rm /etc/init.d/nvidia-*

参考地址http://forum.ubuntu.org.cn/viewtopic.php?t=30638
Sunken Boot
chen_yu_lin
帖子: 6
注册时间: 2006-04-27 20:36
送出感谢: 0
接收感谢: 0

#6

帖子 chen_yu_lin » 2007-04-19 20:29

我已碰到了相同的问题,不过在launchpad上已经有解决方法。

sudo rm /lib/linux-restricted-modules/.nvidia_new_installed
sudo apt-get install nvidia-glx
回复

回到 “老旧版本支持”